<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
           targetNamespace="http://com.koles:8080/dr/dre"
           xmlns:w="http://com.koles:8080/dr/dre">

    <xs:element name="a" type="w:typeA"/>

    <xs:complexType name="typeA">
        <xs:sequence>
            <xs:element name="b" type="w:typeB" minOccurs="1" maxOccurs="3"/>
        </xs:sequence>
    </xs:complexType>

    <xs:complexType name="typeB">
        <xs:sequence>
            <xs:element name="c" type="w:typeC" maxOccurs="2"/>
        </xs:sequence>
    </xs:complexType>

    <xs:complexType name="typeC">
        <xs:sequence>
            <xs:element name="d">
                <xs:simpleType>
                    <xs:restriction base="xs:string">
                        <xs:pattern value="[a-z]+"/>
                    </xs:restriction>
                </xs:simpleType>
            </xs:element>
        </xs:sequence>
        <xs:attribute name="x" type="xs:int" use="required"/>
    </xs:complexType>

</xs:schema>